// Arduino Grundkurs des Z-Lab Bruchsal.
// Dies ist Übung 2: Blinken
// Eine ausführliche Beschreibung mit Erklärungen findest du hier:
// https://git.digital-infinity.de/DigitalInfinity/Z-Lab/src/branch/main/Arduino_Grundlagen/02_Blinken


void setup() {
  // Der PIN-Mode legt fest, ob ein Anschluss des Arduino als Eingabe oder Ausgabe verwendert werden soll
  // OUTPUT steht für Ausgabe, INPUT wäre Eingabe
  // Mit LED_BUILTIN sagen wir, dass die LED, die fest auf dem Arduino installiert ist, verwendet werden soll
  pinMode(LED_BUILTIN, OUTPUT);
}

void loop() {
  // digitalWrite schreibt einen Wert auf einen Anschluss.
  // Damit lässt sich z.B. etwas (wie bei uns eine LED) ein- oder ausschalten
  // Hinter "HIGH" versteckt sich die 1, damit lässt sich die LED einschalten
  digitalWrite(LED_BUILTIN, HIGH);
  // delay verzögert das Programm um eine bestimmte Zeit (Milisekunden)
  // Danach gehts einfach weiter
  delay(1000);
  // und wieder digitalWrite.
  // Dieses Mal schalten wir die LED aus
  digitalWrite(LED_BUILTIN, LOW);
  // Und dann warten wir wieder eine Sekunde, bevor es neu los geht
  delay(1000);
}

// Was muss denn nun gemacht werden, damit die LED schneller oder langsamer blinkt?
// Wie müsste das Programm aussehen, damit die LED zweimal kurz und einmal lang leuchtet?